## org.eclipse.emf.ecore.impl
Class DynamicEObjectImpl.BasicEMapEntry<K,V>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.DynamicEObjectImpl
                      org.eclipse.emf.ecore.impl.DynamicEObjectImpl.BasicEMapEntry<K,V>

All Implemented Interfaces:
  java.util.Map.Entry<K,V>, Notifier, BasicEMap.Entry<K,V>, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Enclosing class:
  DynamicEObjectImpl

    public static final class DynamicEObjectImpl.BasicEMapEntry<K,V>

extends DynamicEObjectImpl
implements BasicEMap.Entry<K,V>

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.DynamicEObjectImpl
`DynamicEObjectImpl.BasicEMapEntry<K,V>, DynamicEObjectImpl.DynamicEPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected int` `hash`
`protected EStructuralFeature` `keyFeature`
`protected EStructuralFeature` `valueFeature`

Fields inherited from class org.eclipse.emf.ecore.impl.DynamicEObjectImpl
`eClass, ENO_SETTINGS, eSettings`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`DynamicEObjectImpl.BasicEMapEntry()` Creates a dynamic EObject.
`DynamicEObjectImpl.BasicEMapEntry(EClass eClass)` Creates a dynamic EObject.

Method Summary
`void` `eSetClass(EClass eClass)` Sets the meta class.
`int` `getHash()` Returns the hash code of the key.
`K` `getKey()`
`V` `getValue()`
`void` `setHash(int hash)` Sets the hash code of the key.
`void` `setKey(java.lang.Object key)` Sets the key.
`V` `setValue(V value)`

Methods inherited from class org.eclipse.emf.ecore.impl.DynamicEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eClass, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicClass, eHasSettings, eInvoke, eProperties, eSettings, eStaticFeatureCount, eStaticOperationCount`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetDeliver, eSetProxyURI, eStaticClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### hash

    protected int hash

### keyFeature

    protected EStructuralFeature keyFeature

### valueFeature

    protected EStructuralFeature valueFeature

Constructor Detail

### DynamicEObjectImpl.BasicEMapEntry

    public DynamicEObjectImpl.BasicEMapEntry()

  Creates a dynamic EObject.

### DynamicEObjectImpl.BasicEMapEntry

    public DynamicEObjectImpl.BasicEMapEntry(EClass eClass)

  Creates a dynamic EObject.

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<K,V>`

### setKey

    public void setKey(java.lang.Object key)

  Description copied from interface: `BasicEMap.Entry`
  Sets the key. This should only be called by the map implementation, since the key of an entry already in the map must be immutable.

  Specified by:
    `setKey` in interface `BasicEMap.Entry<K,V>`
  Parameters:
    `key` - the key.

### getHash

    public int getHash()

  Description copied from interface: `BasicEMap.Entry`
  Returns the hash code of the key. Only the map implementation would really care.

  Specified by:
    `getHash` in interface `BasicEMap.Entry<K,V>`

### setHash

    public void setHash(int hash)

  Description copied from interface: `BasicEMap.Entry`
  Sets the hash code of the key. This should only be called by the map implementation, since the hash code of the key of an entry already in the map must be immutable.

  Specified by:
    `setHash` in interface `BasicEMap.Entry<K,V>`
  Parameters:
    `hash` - the hash.

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<K,V>`

### setValue

    public V setValue(V value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<K,V>`

### eSetClass

    public void eSetClass(EClass eClass)

  Description copied from interface: `InternalEObject`
  Sets the meta class. An object with a set meta class is, by definition, a dynamic instance; it will support dynamic `settings`. an.

  Specified by:
    `eSetClass` in interface `InternalEObject`
  Overrides:
    `eSetClass` in class `DynamicEObjectImpl`
  Parameters:
    `eClass` - the dynamic meta class.
  See Also:
    `InternalEObject.eSetting(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.